/* File:mk_tmp.c
 * 
 * Hatem Nassrat
 * B00393388 - Dalhousie University
 *
 * A Fault tolerance Implementation for an OLAP system
 *
 * This app makes the dir /tmp/pcc05/ in connected nodes
 */

#include <mpi.h>
#include <stdio.h>
#include <strings.h>
#include <sys/stat.h>

#define mkdir_mode S_IRWXU
#define dir_name "/tmp/pcc05"
#define IC_CREATE_TAG 5

int main(int argc, char * argv[])
{
    int i, my_rank, p, f;
    char buf[BUFSIZ];

    /*MPI INIT*/
    
    MPI_Init(&argc,&argv);
    MPI_Comm_rank(MPI_COMM_WORLD,&my_rank);
    MPI_Comm_size(MPI_COMM_WORLD, &p);
    f=p;

    /*END OF: MPI INIT*/

        //sprintf(buf, "mkdir /tmp/pcc05");
        //system(buf);
        mkdir(dir_name,mkdir_mode);
   
    MPI_Finalize();
    exit(0);
}
